<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class PurchaseDetails extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'purchase_details';

    public function purchase()
    {
        return $this->belongsTo(Purchase::class, 'purchase_id', 'id')->withTrashed();
    }

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }
}
