<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockBranchPurchase extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'stock_branch_purchases';

    protected $fillable = ['branch_id', 'product_master_id', 'quantity', 'purchase_id', 'created_by'];
}
