<?php

namespace App\View\Components\Category;

use Illuminate\View\Component;
use Illuminate\View\View;

class EditForm extends Component
{
    public string $type;
    public $category;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($type, $category)
    {
        $this->type = $type;
        $this->category = $category;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render(): View
    {
        return view('components.category.edit-form');
    }
}
