<?php

namespace App\View\Components\Customer;

use Illuminate\View\Component;
use App\Models\Area;
use App\Models\State;

class CreateForm extends Component
{
    public $areas;
    public $states;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->areas = Area::get();
        $this->states = State::get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.customer.create-form');
    }
}
