<?php

namespace App\View\Components\Customer;

use Illuminate\View\Component;
use App\Models\Area;
use App\Models\State;

class EditForm extends Component
{
    public $areas;
    public $states;
    public $customer;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($customer)
    {
        $this->areas = Area::get();
        $this->states = State::get();
        $this->customer = $customer;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.customer.edit-form');
    }
}
