<?php

namespace App\View\Components\Product;

use Illuminate\View\Component;

class ViewForm extends Component
{
    public $product;
    public $companyTitle;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($product, $companyTitle)
    {
        $this->product = $product;
        $this->companyTitle = $companyTitle;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.product.view-form');
    }
}
