<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddInclusiveSaleAddInclusivePurchaseToProductTaxesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_taxes', function (Blueprint $table) {
            $table->boolean('inclusive_sale')->default(0)->nullable()->after('adcess');
            $table->boolean('inclusive_purchase')->default(0)->nullable()->after('inclusive_sale');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_taxes', function (Blueprint $table) {
            $table->dropColumn('inclusive_sale');
            $table->dropColumn('inclusive_purchase');
        });
    }
}
