<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddRemarksAddRemarksOneAddRemarksTwoToProductMastersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('product_masters', function (Blueprint $table) {
            $table->longText('remarks')->nullable()->after('sp_com');
            $table->longText('remarks_one')->nullable()->after('remarks');
            $table->longText('remarks_two')->nullable()->after('remarks_one');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('product_masters', function (Blueprint $table) {
            $table->dropColumn('remarks');
            $table->dropColumn('remarks_one');
            $table->dropColumn('remarks_two');
        });
    }
}
