<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddFreightCoolieAddOtherexpToPurchasesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('purchases', function (Blueprint $table) {
            $table->decimal('freight_coolie', 8, 2)->default(0)->nullable()->after('add_cess');
            $table->decimal('otherexp', 8, 2)->default(0)->nullable()->after('freight_coolie');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('purchases', function (Blueprint $table) {
            $table->dropColumn('freight_coolie');
            $table->dropColumn('otherexp');
        });
    }
}
