<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddMrpAddGrossAmtTazableAmtToPurchaseDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('purchase_details', function (Blueprint $table) {
            $table->decimal('mrp', 8, 2)->default(0)->nullable()->after('sale_rate');
            $table->decimal('gross_amt', 8, 2)->default(0)->nullable()->after('mrp');
            $table->decimal('taxable_amt', 8, 2)->default(0)->nullable()->after('discount_amount');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('purchase_details', function (Blueprint $table) {
            $table->dropColumn('mrp');
            $table->dropColumn('gross_amt');
            $table->dropColumn('taxable_amt');
        });
    }
}
