<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Transaction</title>
        <!--<link rel="stylesheet" href="{{ public_path().'/css/invoice-style.css' }}" />-->
        <link rel="stylesheet" href="{{ asset('css/a4paper-style.css') }}" />
        <style type="text/css">
            .btn{ font-weight: 400; letter-spacing: 0.03em; font-size: 0.8125rem; min-width: 2.375rem; color: #fff; padding: 0.375rem 1rem; background: #0d6efd; border-radius: 5px; border: 1px solid transparent; cursor: pointer; }
            *:focus { outline: none; }
        </style>
    </head>
    <body>
        <div style="width: 100%; text-align: center; margin-bottom: 10px;">
            <input type="button" class="btn" onclick="PrintDiv();" value="Print">
        </div>
        {{-- dd($invoice) --}}
        @php
            $invoice_items = array_chunk( $invoice, 30 );
            $count = count($invoice);
            $c=0;
            $totalDebitSum = 0;
            $totalCreditSum = 0;
            $crTotalClosingAmount = 0;
            $drTotalClosingAmount = 0;
            $adjustTotalSum = 0;
            $amountBalance = 0;
        @endphp
        <div id="divToPrint">
            @foreach($invoice_items as $orders)
            <div id="wraper" class="wraper">
                <div class="bll_head">
                    <span class="comp_name">{{ $pagedata['companys']->name }}</span><br>
                    {{ $pagedata['companys']->address }}, {{ $pagedata['companys']->city }}, {{ $pagedata['companys']->state }}-{{ $pagedata['companys']->pincode }}<br>
                    PH:{{ $pagedata['companys']->phone }},&nbsp;E-mail&nbsp;:&nbsp;{{ $pagedata['companys']->email }}<br>
                    GSTIN: {{ $pagedata['companys']->gst }}<br>
                    LEDGER ACCOUNT - {{ (isset($orders[0]['customer']) && !empty($orders[0]['customer'])) ? $orders[0]['customer']['name']:'' }} ({{ $pagedata['dates'] }})

                </div>

                <div class="spce"></div>
                <div class="bill-info">
                    <div class="col-full">
                        <div class="bill-col-parts">
                            @if(isset($orders[0]['customer']) && !empty($orders[0]['customer']))
                                <b>{{ $orders[0]['customer']['name'] }}</b><br>
                                {{ $orders[0]['customer']['address'] }}, {{ $orders[0]['customer']['email'] }}<br>
                                <b>GSTIN:</b> {{ $orders[0]['customer']['gstin'] }} <b>Mobile:</b> {{ $orders[0]['customer']['mobile'] }}<br>
                            @endif
                        </div>
                    </div>
                </div>

                <div class="bill-items">
                    <div class="line-wraper">
                        <div class="listborders" style="width: 46px; "></div>
                        <div class="listborders" style="width: 116px; "></div>
                        <div class="listborders" style="width: 179px; "></div>
                        <div class="listborders" style="width: 98px; "></div>
                        <div class="listborders" style="width: 118px; "></div>
                        <div class="listborders" style="width: 78px; "></div>
                        <div class="listborders" style="width: 79px; "></div>
                        <div class="listborders" style="width: 79px; "></div>
                    </div>
                    <table class="item-table" cellpadding="0" cellspacing="0">
                        <thead>
                            <tr>
                                <th width="14">No</th>
                                <th width="45.1">Date</th>
                                <th width="73.2">Particulars</th>
                                <th width="36.8">Vch Type</th>
                                <th width="46">Vch No</th>
                                <th width="28">Debit</th>
                                <th width="28.5">Credit</th>
                                <th width="28.5">Balance</th>
                            </tr>
                        </thead>
                        <tbody>
                            @php $balanceAmount = 0; @endphp
                            @foreach($orders as $orderItems)
                            @php
                                $c++;
                                if($orderItems['transaction_type'] == 1)
                                {
                                    $transactionName = 'Sales';
                                }
                                elseif($orderItems['transaction_type'] == 2)
                                {
                                    $transactionName = 'Purchase';
                                }
                                elseif($orderItems['transaction_type'] == 3)
                                {
                                    $transactionName = 'Receipt';
                                }
                                elseif($orderItems['transaction_type'] == 4)
                                {
                                    $transactionName = 'Payment';
                                }
                                elseif($orderItems['transaction_type'] == 5)
                                {
                                    $transactionName = 'Opening Balance';
                                }
                                elseif($orderItems['transaction_type'] == 6)
                                {
                                    $transactionName = 'Ledger';
                                }
                                elseif($orderItems['transaction_type'] == 7)
                                {
                                    $transactionName = 'Sales Return';
                                }
                                elseif($orderItems['transaction_type'] == 8)
                                {
                                    $transactionName = 'Purchase Return';
                                }
                                elseif($orderItems['transaction_type'] == 9)
                                {
                                    $transactionName = 'Debit Note';
                                }
                                elseif($orderItems['transaction_type'] == 10)
                                {
                                    $transactionName = 'Credit Note';
                                }
                                else
                                {
                                    $transactionName = 'Other';
                                }

                                if($orderItems['payment_type'] == 1)
                                {
                                    $paymentTypeName = 'Cash';
                                }
                                elseif($orderItems['payment_type'] == 2)
                                {
                                    $paymentTypeName = 'Cheque';
                                }
                                elseif($orderItems['payment_type'] == 3)
                                {
                                    $paymentTypeName = 'DD';
                                }
                                elseif($orderItems['payment_type'] == 4)
                                {
                                    $paymentTypeName = 'RTGS';
                                }
                                elseif($orderItems['payment_type'] == 5)
                                {
                                    $paymentTypeName = 'NEFT';
                                }
                                else
                                {
                                    $paymentTypeName = 'Other';
                                }
                                $balance = ($orderItems['debit_amount'] - $orderItems['credit_amount']);

                                $amountBalance = $amountBalance + $balance;
                            @endphp
                            <tr>
                                <td>{{ $c }}</td>
                                <td>{{ date("d-m-Y", strtotime($orderItems['transaction_date'])) }}</td>
                                <td>{{ substr($orderItems['description'], 0, 40) }}</td>
                                <td>{{ $transactionName }} </td><?php /*?>({{ $paymentTypeName }})<?php */?>
                                <td>
                                    @php
                                        if($orderItems['parent_table'] == 1)
                                        {
                                            $saleData = \App\Models\Sale::where('id', $orderItems['parent_table_id'])->first();
                                            echo($saleData->invoice_no);
                                        }
                                        elseif($orderItems['parent_table'] == 2)
                                        {
                                            $purchaseData = \App\Models\Purchase::where('id', $orderItems['parent_table_id'])->first();
                                            echo($purchaseData->invoice_no);
                                        }
                                        elseif($orderItems['parent_table'] == 3)
                                        {
                                            $salesReturnData = \App\Models\SalesReturn::where('id', $orderItems['parent_table_id'])->first();
                                            echo($salesReturnData->invoice_no);
                                        }
                                        elseif($orderItems['parent_table'] == 4)
                                        {
                                            $purchaseReturnData = \App\Models\PurchaseReturn::where('id', $orderItems['parent_table_id'])->first();
                                            echo($purchaseReturnData->invoice_no);
                                        }
                                        else
                                        {
                                            echo($orderItems['transaction_no']);
                                        }
                                    @endphp
                                </td>
                                <td>{{ $orderItems['debit_amount'] }}</td>
                                <td>{{ $orderItems['credit_amount'] }}</td>
                                <td>{{ $amountBalance }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                @php
                    $debitSum = collect($orders)->sum('debit_amount');
                    $creditSum = collect($orders)->sum('credit_amount');
                    $totalDebitSum = $totalDebitSum + $debitSum;
                    $totalCreditSum = $totalCreditSum + $creditSum;
                    $drclosingAmount = $crclosingAmount = $adjustSum = 0;
                    //if($debitSum > $creditSum)
                    //{
                        //$drclosingAmount = ($debitSum - $creditSum);
                        //$adjustSum = $debitSum;
                    //}
                    //else
                    //{
                        //$crclosingAmount = ($creditSum - $debitSum);
                        //$adjustSum = $creditSum;
                    //}

                    if($totalDebitSum > $totalCreditSum)
                    {
                        $drclosingAmount = ($debitSum - $creditSum);
                        $adjustSum = $debitSum;
                    }
                    else
                    {
                        $crclosingAmount = ($creditSum - $debitSum);
                        $adjustSum = $creditSum;
                    }

                    $drTotalClosingAmount = $drTotalClosingAmount + $drclosingAmount;
                    $crTotalClosingAmount = $crTotalClosingAmount + $crclosingAmount;
                    $adjustTotalSum = $adjustTotalSum + $adjustSum;
                @endphp

                @if($count == $c)
                    <div class="billTotals">
                        <div class="billTotalitems" style="width: 557px;"></div>
                        <div class="billTotalitems" style="width: 78px;">{{ $totalDebitSum }}</div>
                        <div class="billTotalitems" style="width: 79px;">{{ $totalCreditSum }}</div>
                        <div class="billTotalitems" style="width: 78px;"></div>
                    </div>

                    <div class="billTotals" style="border-top: none;">
                        <div class="billTotalitems" style="width: 557px;">By Closing Balance</div>
                        <div class="billTotalitems" style="width: 78px;">{{ $crTotalClosingAmount }}</div>
                        <div class="billTotalitems" style="width: 79px;">{{ $drTotalClosingAmount }}</div>
                        <div class="billTotalitems" style="width: 78px;"></div>
                    </div>

                    <div class="billTotals">
                        <div class="billTotalitems" style="width: 557px;">Total</div>
                        <div class="billTotalitems" style="width: 78px;">{{ $adjustTotalSum }}</div>
                        <div class="billTotalitems" style="width: 79px;">{{ $adjustTotalSum }}</div>
                        <div class="billTotalitems" style="width: 78px;"></div>
                    </div>
                @else
                    <div class="billTotals" style="border: none; border-top: 1px solid #ccc;">
                        <h4 class="text-right pr-20">Continued...</h4>
                    </div>
                @endif
                
                
            </div>
            @endforeach
        </div>

        <script type="text/javascript">

        function PrintDiv()
        {
            var style_url = "{{ asset('css/a4paper-style.css') }}";
            var divToPrint = document.getElementById('divToPrint');
            var popupWin = window.open('', '_blank', 'width=595,height=842');
            popupWin.document.open();
            popupWin.document.write('<html><link href="'+style_url+'" rel="stylesheet" type="text/css" /><body onload="window.print()">' +divToPrint.innerHTML + '</html>');
            popupWin.document.close();
            popupWin.focus();
            setTimeout(function(){popupWin.close();},100);
        }
        </script>
    </body>
</html>