<!doctype html>
<html lang="en" class="light-style layout-menu-fixed" dir="ltr" data-theme="theme-default" data-assets-path="{{ asset('/assets') . '/' }}" data-base-url="{{url('/')}}" data-framework="laravel" data-template="vertical-menu-template-free">
	<head>
		@include('layouts.admin.partials.head')
	</head>
	<body class="app ltr light-mode header-light light-menu horizontal">
		<!-- GLOBAL-LOADER -->
	    <div id="global-loader">
	        <img src="{{ asset('assets/images/loader.svg') }}" class="loader-img" alt="Loader">
	    </div>
	    <!-- /GLOBAL-LOADER -->
		<!-- Layout wrapper -->
    	<div class="page">
    		<div class="page-main">
    			@include('layouts.admin.partials.header')
    			@include('layouts.admin.partials.nav')
    			<!-- Layout container -->
            	<div class="main-content hor-content mt-0">
            		
            		<!-- Content wrapper -->
                	<div class="side-app">
                		<!-- Content -->
                    	<div class="main-container container-fluid">
                    		@yield('content')
                    	</div>
                    	
                	</div>
            	</div>
    		</div>
    	</div>
    	@include('layouts.admin.partials.footer')
		@include('layouts.admin.partials.footer-scripts')
	</body>
</html>