<!--APP-SIDEBAR-->
<div class="sticky">
    <div class="app-sidebar__overlay" data-bs-toggle="sidebar"></div>
    <div class="app-sidebar ps horizontal-main">
        <div class="side-header">
            <a class="header-brand1" href="index.html">
                <img src="{{ asset('assets/images/brand/logo-white.png') }}" class="header-brand-img desktop-logo" alt="logo">
                <img src="{{ asset('assets/images/brand/icon-white.png') }}" class="header-brand-img toggle-logo"
                    alt="logo">
                <img src="{{ asset('assets/images/brand/icon-dark.png') }}" class="header-brand-img light-logo" alt="logo">
                <img src="{{ asset('assets/images/brand/logo-dark.png') }}" class="header-brand-img light-logo1"
                    alt="logo">
            </a>
            <!-- LOGO -->
        </div>
        <div class="main-sidemenu container">
            <div class="slide-left disabled" id="slide-left">
                <svg xmlns="http://www.w3.org/2000/svg" fill="#7b8191" width="24" height="24" viewBox="0 0 24 24">
                    <path d="M13.293 6.293 7.586 12l5.707 5.707 1.414-1.414L10.414 12l4.293-4.293z" />
                </svg>
            </div>

            <ul class="side-menu">

                <li class="slide">
                    <a class="side-menu__item has-link" data-bs-toggle="slide" href="{{ route('adminDashboard') }}"><i class="side-menu__icon fe fe-home"></i><span class="side-menu__label">Dashboard</span></a>
                </li>

                @can('Manage-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-slack"></i><span class="side-menu__label">Manage</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Manage-Company')
                            <li><a href="{{ route('company.index') }}" class="slide-item"> Company Profile</a></li>
                        @endcan
                        <li><a href="{{ route('backup.data') }}" class="slide-item"> Backup</a></li>
                        <li><a href="{{ route('report.sales.hsn.update') }}" class="slide-item"> HSN Update</a></li>
                    </ul>
                </li>
                @endcan

                @can('Masters-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-package"></i><span class="side-menu__label">Masters</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Manage-Category')
                            <li><a href="{{ route('category.index') }}" class="slide-item"> Category Master</a></li>
                        @endcan

                        @can('Manage-Manufacturer')
                            <li><a href="{{ route('manufacturer.index') }}" class="slide-item"> Manufacturer</a></li>
                        @endcan

                        @can('Manage-Product')
                            <li><a href="{{ route('product.index') }}" class="slide-item"> Product</a></li>
                        @endcan

                        @can('Manage-Area')
                            <li><a href="{{ route('areaList') }}" class="slide-item"> Area</a></li>
                        @endcan

                        @can('Manage-Customer')
                            <li><a href="{{ route('customer.index') }}" class="slide-item"> Customer</a></li>
                        @endcan

                        @can('Manage-Supplier')
                            <li><a href="{{ route('vendor.index') }}" class="slide-item"> Supplier</a></li>
                        @endcan

                        @can('Manage-Employee')
                            <li><a href="{{ route('employee.index') }}" class="slide-item"> Employee</a></li>
                        @endcan

                        @can('Manage-Ledger')
                            <li><a href="{{ route('ledger.index') }}" class="slide-item"> Ledger</a></li>
                        @endcan

                        @can('Manage-Account')
                            <li><a href="{{ route('accountGroup.index') }}" class="slide-item"> Account Group</a></li>
                        @endcan

                        @can('Manage-BOM')
                            <li><a href="#" class="slide-item"> Bill of Materials</a></li>
                        @endcan

                        @can('Manage-Counter')
                            <li><a href="#" class="slide-item"> Counter</a></li>
                        @endcan

                        @can('Manage-PlaceOfSupply')
                            <li><a href="{{ route('place.supply.index') }}" class="slide-item"> Place Of Supply</a></li>
                        @endcan

                        @can('Manage-Vehicle')
                            <li><a href="{{ route('vehicle.index') }}" class="slide-item"> Vehicle Master</a></li>
                        @endcan

                        @can('Manage-Driver')
                            <li><a href="{{ route('driver.index') }}" class="slide-item"> Driver Master</a></li>
                        @endcan
                        
                    </ul>
                </li>
                @endcan

                @can('Inventory-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-layers"></i><span class="side-menu__label">Inventory</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Sales-Menu')
                        <li class="sub-slide">
                            <a href="#" class="sub-side-menu__item" data-bs-toggle="sub-slide"><span class="sub-side-menu__label">Sales</span><i class="sub-angle fe fe-chevron-right"></i></a>
                            <ul class="sub-slide-menu">
                                @can('Manage-Retail-Invoice')
                                    <li><a href="{{ route('sales.index') }}" class="sub-slide-item"> Retail Invoice</a></li>
                                @endcan

                                @can('Manage-Wholesale-Invoice')
                                    <li><a href="#" class="sub-slide-item"> Wholesale Invoice[B2B]</a></li>
                                @endcan

                                @can('Manage-Sale-Quot')
                                    <li><a href="{{ route('quot.index') }}" class="sub-slide-item"> Sales Quote</a></li>
                                @endcan

                                @can('Manage-Sales-Order')
                                    <li><a href="#" class="sub-slide-item"> Sales Order</a></li>
                                @endcan

                                @can('Manage-Sales-Estimate')
                                    <li><a href="{{ route('sales.estimate.index') }}" class="sub-slide-item"> Sales Estimate</a></li>
                                @endcan

                                @can('Manage-Sales-Return')
                                    <li><a href="{{ route('sales.return.index') }}" class="sub-slide-item"> Sales Return</a></li>
                                @endcan

                                @can('Manage-Counter-Sale')
                                    <li><a href="{{ route('counter.sale') }}" class="sub-slide-item"> Counter Sale</a></li>
                                @endcan
                            </ul>
                        </li>
                        @endcan

                        @can('Purchase-Menu')
                        <li class="sub-slide">
                            <a href="#" class="sub-side-menu__item" data-bs-toggle="sub-slide"><span class="sub-side-menu__label">Purchase</span><i class="sub-angle fe fe-chevron-right"></i></a>
                            <ul class="sub-slide-menu">
                                @can('Manage-Purchase')
                                    <li><a href="{{ route('purchase.index') }}" class="sub-slide-item">Purchase</a></li>
                                @endcan

                                @can('Manage-Local-Purchase')
                                    <li><a href="#" class="sub-slide-item">Local Purchase</a></li>
                                @endcan

                                @can('Manage-Purchase-Return')
                                    <li><a href="{{ route('purchase.return.index') }}" class="sub-slide-item">Purchase Return</a></li>
                                @endcan

                                @can('Manage-Purchase-Order')
                                    <li><a href="#" class="sub-slide-item">Purchase Order</a></li>
                                @endcan
                            </ul>
                        </li>
                        @endcan

                        @can('Manage-Delivery-Note')
                            <li><a href="#" class="slide-item"> Delivery Note</a></li>
                        @endcan

                        @can('Manage-Receipt-Note')
                            <li><a href="#" class="slide-item"> Receipt Note</a></li>
                        @endcan

                        @can('Manage-Opening-Stock')
                            <li><a href="#" class="slide-item"> Opening Stock</a></li>
                        @endcan

                        @can('Manage-Stock-Adjustment')
                            <li><a href="#" class="slide-item"> Stock Adjustment</a></li>
                        @endcan

                        @can('Manage-Stock-Transfer')
                            <li><a href="{{ route('stock.transfer.list') }}" class="slide-item"> Stock Transfer</a></li>
                        @endcan

                        @can('Manage-Stock')
                            <li><a href="{{ route('product.stock.list') }}" class="slide-item"> Stock</a></li>
                        @endcan
                        
                        @can('Manage-Production')
                        <li class="sub-slide">
                            <a href="#" class="sub-side-menu__item" data-bs-toggle="sub-slide"><span class="sub-side-menu__label">Production</span><i class="sub-angle fe fe-chevron-right"></i></a>
                            <ul class="sub-slide-menu">
                                @can('Manage-BOM')
                                    <li><a href="{{ route('production.index') }}" class="sub-slide-item"> BOM</a></li>
                                @endcan
                                <li><a href="{{ route('product.production.list') }}" class="sub-slide-item"> Production</a></li>
                            </ul>
                        </li>
                        @endcan

                        @can('Manage-POS')
                            <li><a href="#" class="slide-item"> POS</a></li>
                        @endcan
                    </ul>
                </li>
                @endcan

                @can('Accounts-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-book-open"></i><span class="side-menu__label">Accounts</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Manage-Opening-Balance')
                            <li><a href="{{ route('transactions.index', 5) }}" class="slide-item"> Opening Balance</a></li>
                        @endcan

                        @can('Manage-Receipt')
                            <li><a href="{{ route('transactions.index', 3) }}" class="slide-item">Receipt</a></li>
                        @endcan

                        @can('Manage-Payment')
                            <li><a href="{{ route('transactions.index', 4) }}" class="slide-item">Payment</a></li>
                        @endcan

                        @can('Manage-Sundry-Creditor')
                            <li><a href="{{ route('transactions.accounts.creditor') }}" class="slide-item">Sundry Creditor</a></li>
                            <li><a href="{{ route('transactions.accounts.creditor.duerpt') }}" class="slide-item">Due Report</a></li>
                        @endcan

                        @can('Manage-Sundry-Debtor')
                            <li><a href="{{ route('transactions.accounts.debtor') }}" class="slide-item">Sundry Debtor</a></li>
                        @endcan

                        @can('Manage-Journal')
                            <li><a href="#" class="slide-item"> Journal</a></li>
                        @endcan

                        @can('Manage-Debit-Note')
                            <li><a href="{{ route('transactions.index', 9) }}" class="slide-item"> Debit Note</a></li>
                        @endcan

                        @can('Manage-Credit-Note')
                            <li><a href="{{ route('transactions.index', 10) }}" class="slide-item"> Credit Note</a></li>
                        @endcan

                        @can('Manage-Contra')
                            <li><a href="#" class="slide-item"> Contra</a></li>
                        @endcan

                        @can('Manage-Day-Book')
                            <li><a href="{{ route('transactions.daybook') }}" class="slide-item"> Day Book</a></li>
                        @endcan

                        @can('Manage-Trial-Balance')
                            <li><a href="#" class="slide-item"> Trial Balance</a></li>
                        @endcan

                        @can('Manage-Balance-Sheet')
                            <li><a href="#" class="slide-item"> Balance Sheet</a></li>
                        @endcan

                        @can('Manage-Profit-And-Loss')
                            <li><a href="#" class="slide-item"> Profit And Loss A\C</a></li>
                        @endcan
                    </ul>
                </li>
                @endcan

                @can('Search-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-search"></i><span class="side-menu__label">Search</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Manage-Search-Transactions')
                        <li><a href="{{ route('report.transaction.search') }}" class="slide-item"> Search Transactions</a></li>
                        @endcan

                        @can('Manage-Search-Accounts')
                        <li><a href="{{ route('search.accounts') }}" class="slide-item"> Search Accounts</a></li>
                        @endcan

                        @can('Manage-Search-Customer')
                        <li><a href="#" class="slide-item"> Search Customer</a></li>
                        @endcan

                        @can('Manage-Search-Vendor')
                        <li><a href="#" class="slide-item"> Search Vendor</a></li>
                        @endcan

                        @can('Manage-Search-Product')
                        <li><a href="#" class="slide-item"> Search Product</a></li>
                        @endcan

                        @can('Manage-Cheque-Register')
                        <li><a href="#" class="slide-item"> Cheque Register</a></li>
                        @endcan

                        @can('Manage-Stock-History')
                        <li><a href="#" class="slide-item"> Stock History</a></li>
                        @endcan

                        @can('Manage-Cash-Counter')
                        <li><a href="#" class="slide-item"> Cash Counter</a></li>
                        @endcan
                    </ul>
                </li>
                @endcan

                @can('Reports-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-file"></i><span class="side-menu__label">Reports</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Manage-Sales-Report')
                            <li><a href="{{ route('report.sales') }}" class="slide-item"> Sales Report</a></li>
                            <li><a href="{{ route('report.sales.details') }}" class="slide-item"> Sales Details Report</a></li>
                            <li><a href="{{ route('report.profit.sales') }}" class="slide-item"> Sales Profit Report</a></li>
                            <li><a href="{{ route('report.sales.hsn') }}" class="slide-item"> HSN Report</a></li>
                            <li><a href="{{ route('report.sales.tax.split.details') }}" class="slide-item"> Tax Split Report</a></li>
                        @endcan

                        @can('Manage-Purchase-Report')
                            <li><a href="{{ route('report.purchase.tax') }}" class="slide-item"> Purchase Report</a></li>
                        @endcan

                        @can('Manage-Stock-Report')
                            <li><a href="{{ route('report.stock.details') }}" class="slide-item"> Stock Report</a></li>
                        @endcan

                        @can('Manage-Accounts-Report')
                            <li><a href="#" class="slide-item"> Accounts Report</a></li>
                        @endcan

                        @can('Manage-Item-Wise-Sales')
                            <li><a href="{{ route('report.sales.item.wise') }}" class="slide-item"> Item Wise Sales</a></li>
                        @endcan

                        @can('Manage-Purchase-Report')
                            <li><a href="{{ route('report.purchase.item.wise') }}" class="slide-item"> Item Wise Purchase</a></li>
                        @endcan

                        @can('Manage-Sales-Counter-Reports')
                            <li><a href="#" class="slide-item"> Sales Counter Reports</a></li>
                        @endcan

                        @can('Manage-Tax-Reports')
                            <li><a href="{{ route('report.sales.tax') }}" class="slide-item"> Tax Reports</a></li>
                            <li><a href="{{ route('report.sales.tax.r1') }}" class="slide-item"> Tax Reports R1</a></li>
                        @endcan

                        @can('Manage-Tax-Client-Reports')
                            <li><a href="{{ route('report.sales.tax.client') }}" class="slide-item"> Tax Client Reports</a></li>
                        @endcan

                        @can('Manage-Order-Reports')
                            <li><a href="#" class="slide-item"> Order Reports</a></li>
                        @endcan

                        @can('Manage-Sale-Return-Report')
                            <li><a href="{{ route('report.sales.return') }}" class="slide-item"> Sale Return Report</a></li>
                        @endcan

                        @can('Manage-Purchase-Return-Report')
                            <li><a href="{{ route('report.purchase.return') }}" class="slide-item"> Purchase Return Report</a></li>
                        @endcan

                        @can('Manage-Receipt-Note-Reports')
                            <li><a href="#" class="slide-item"> Receipt Note Reports</a></li>
                        @endcan

                        @can('Manage-Delivery-Note-Reports')
                            <li><a href="#" class="slide-item"> Delivery Note Reports</a></li>
                        @endcan

                        @can('Manage-Stock-Transfer-Reports')
                            <li><a href="#" class="slide-item"> Stock Transfer Reports</a></li>
                        @endcan
                    </ul>
                </li>
                @endcan

                @can('Tools-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-settings"></i><span class="side-menu__label">Tools</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @role('Developer')
                            <li class="sub-slide">
                                <a href="#" class="sub-side-menu__item" data-bs-toggle="sub-slide"><span class="sub-side-menu__label">Export Product</span><i class="sub-angle fe fe-chevron-right"></i></a>
                                <ul class="sub-slide-menu">
                                    <li><a href="#" class="sub-slide-item"> Items</a></li>
                                    <li><a href="#" class="sub-slide-item"> Customers</a></li>
                                    <li><a href="#" class="sub-slide-item"> Suppliers</a></li>
                                </ul>
                            </li>
                            <li class="sub-slide">
                                <a href="#" class="sub-side-menu__item" data-bs-toggle="sub-slide"><span class="sub-side-menu__label">Import Product</span><i class="sub-angle fe fe-chevron-right"></i></a>
                                <ul class="sub-slide-menu">
                                    <li><a href="#" class="sub-slide-item"> Items</a></li>
                                    <li><a href="#" class="sub-slide-item"> Customers</a></li>
                                    <li><a href="#" class="sub-slide-item"> Suppliers</a></li>
                                </ul>
                            </li>
                        @endrole

                        @role('Developer')
                            <li><a href="#" class="slide-item"> Financial Year Closing</a></li>
                            <li><a href="#" class="slide-item"> Weighing Scale Item Updator</a></li>
                            <li><a href="#" class="slide-item"> Language Translator</a></li>
                            <li><a href="#" class="slide-item"> Regional Name Updator</a></li>
                        @endrole

                        @can('Manage-Item-Adjust')
                            <li><a href="{{ route('bill.process') }}" class="slide-item"> Item Adjust </a></li>
                        @endcan

                        @can('Manage-Actual-Sale')
                            <li><a href="{{ route('sale.client.list') }}" class="slide-item"> Actual Sale </a></li>
                        @endcan

                        @can('Manage-Pricelist-Update')
                            <li><a href="{{ route('product.price.list') }}" class="slide-item"> Pricelist Update </a></li>
                        @endcan
                    </ul>
                </li>
                @endcan

                @can('Users-Menu')
                <li class="slide">
                    <a class="side-menu__item" data-bs-toggle="slide" href="javascript:void(0)"><i class="side-menu__icon fe fe-user"></i><span class="side-menu__label">Users</span><i class="angle fe fe-chevron-right"></i></a>
                    <ul class="slide-menu">
                        @can('Manage-User-Role')
                            <li><a href="{{ route('roles.index') }}" class="slide-item"> User Role</a></li>
                        @endcan

                        @role('Developer')
                            <li><a href="#" class="slide-item"> User</a></li>
                        @endrole

                        @can('Manage-User-Permission')
                            <li><a href="{{ route('permissionList') }}" class="slide-item"> User Permission</a></li>
                        @endcan

                        @role('Developer')
                            <li><a href="#" class="slide-item"> User Action Log</a></li>
                        @endrole

                        <li><a href="{{ route('admin.logout') }}" class="slide-item" onclick="document.getElementById('logout-form').submit();"> Logout</a></li>
                    </ul>
                </li>
                @endcan
                
                @role('Developer')
                <li>
                    <a class="side-menu__item has-link" href="#"><i class="side-menu__icon fe fe-tablet"></i><span class="side-menu__label">Window</span></a>
                </li>

                <li>
                    <a class="side-menu__item has-link" href="#"><i class="side-menu__icon fe fe-help-circle"></i><span class="side-menu__label">Help</span></a>
                </li>
                @endrole
                
            </ul>
            <div class="slide-right" id="slide-right">
                <svg xmlns="http://www.w3.org/2000/svg" fill="#7b8191" width="24" height="24" viewBox="0 0 24 24">
                    <path d="M10.707 17.707 16.414 12l-5.707-5.707-1.414 1.414L13.586 12l-4.293 4.293z" />
                </svg>
            </div>
        </div>
    </div>
</div>
<!--/APP-SIDEBAR-->