<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use App\Http\Requests\StorePermissionRequest;

class PermissionController extends Controller
{
    public function __construct()
    {
        //$this->middleware(['role:Developer']);
    }

    public function index()
    {
        $permissions = Permission::get();
        return view('admin.permissions.index', compact('permissions'));
    }

    public function store(StorePermissionRequest $request)
    {
        $role = Permission::create(['name' => $request->permissionname]);
        return redirect()->route('permissionList')->with('success','Permission created successfully');
    }
}
