<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SaleQuotationItem extends Model
{
    use HasFactory ,SoftDeletes;

    protected $table = 'sale_quotation_items';

    public function quotation()
    {
        return $this->belongsTo(SaleQuotation::class, 'quotation_id', 'id')->withTrashed();
    }

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }
}
