<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class SalesItemReturn extends Model
{
    use HasFactory, SoftDeletes;

    protected $table = 'sales_item_returns';

    public function sale()
    {
        return $this->belongsTo(SalesReturn::class, 'sales_return_id', 'id')->withTrashed();
    }

    public function product()
    {
        return $this->belongsTo(ProductMaster::class, 'product_master_id', 'id')->withTrashed();
    }
}
