<?php

namespace App\View\Components\Company;

use Illuminate\View\Component;
use Illuminate\View\View;

class CreateForm extends Component
{
    public string $type;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($type)
    {
        $this->type = $type;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render(): View
    {
        return view('components.company.create-form');
    }
}
