<?php

namespace App\View\Components\Company;

use Illuminate\View\Component;
use Illuminate\View\View;

class EditForm extends Component
{
    public string $type;
    public $company;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($type, $company)
    {
        $this->type = $type;
        $this->company = $company;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render(): View
    {
        return view('components.company.edit-form');
    }
}
