<?php

namespace App\View\Components\Driver;

use Illuminate\View\Component;
use App\Models\Vendor;

class Createform extends Component
{
    public $vendors;
    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->vendors = Vendor::get();
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('components.driver.createform');
    }
}
