<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddPrintSubHeadAddPrintFooterTextAddPrintFooterSubtextToCompanyProfilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_profiles', function (Blueprint $table) {
            $table->longText('print_sub_head')->nullable()->after('print_address');
            $table->longText('print_footer_text')->nullable()->after('print_sub_head');
            $table->longText('print_footer_subtext')->nullable()->after('print_footer_text');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_profiles', function (Blueprint $table) {
            $table->dropColumn('print_sub_head');
            $table->dropColumn('print_footer_text');
            $table->dropColumn('print_footer_subtext');
        });
    }
}
