<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddSaleTypeAddPurposeToSaleClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_clients', function (Blueprint $table) {
            $table->boolean('sales_type')->default(1)->after('bill_type')->comment('1: Normal Sale, 0: Counter Sale');
            $table->boolean('purpose')->default(1)->after('sales_type')->comment('1: Sale, 0: Estimate');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_clients', function (Blueprint $table) {
            $table->dropColumn('sales_type');
            $table->dropColumn('purpose');
        });
    }
}
