<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsSalesToSaleQuotationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('sale_quotations', function (Blueprint $table) {
            $table->boolean('is_sales')->default(0)->after('vehicle_id')->comment('1: Converted to Sale, 0: Not Converted to Sale');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('sale_quotations', function (Blueprint $table) {
            $table->dropColumn('is_sales');
        });
    }
}
