<form id="addPermissionForm" class="form-horizontal" action="{{ route('company.store') }}" method="post">
    @csrf
    <div class="row mb-3">
        <div class="col-4">
            <label class="form-label" for="code">Code</label>
            <input type="text" id="code" name="code" class="form-control" placeholder="Code" autofocus />
        </div>
        <div class="col-4">
            <label class="form-label" for="com_type">Company Type</label>
            <select class="form-control" id="com_type" name="com_type">
                <option value="1">Main</option>
                <option value="2">Branch</option>
            </select>
        </div>
        <div class="col-4">
            <label class="form-label" for="name">Name</label>
            <input type="text" id="name" name="name" class="form-control" placeholder="Name" autofocus />
        </div>
    </div>
    <hr>
    <div class="row">
        <div class="col-6">
            <div class="row mb-3">
                <label class="form-label col-3" for="address">Address</label>
                <textarea id="address" name="address" class="form-control col-9" placeholder="Address"></textarea>
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="city">City</label>
                <input type="text" id="city" name="city" class="form-control col-9" placeholder="City" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="country">Country</label>
                <input type="text" id="country" name="country" class="form-control col-9" placeholder="Country" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="state">State</label>
                <input type="text" id="state" name="state" class="form-control col-9" placeholder="State" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="phoneno">Phone No</label>
                <input type="text" id="phoneno" name="phoneno" class="form-control col-9" placeholder="Phone No" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="emailid">Email</label>
                <input type="email" id="emailid" name="emailid" class="form-control col-9" placeholder="Email" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="pincode">Pincode</label>
                <input type="text" id="pincode" name="pincode" class="form-control col-9" placeholder="Pincode" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-3" for="bank_details">Bank Details</label>
                <textarea id="bank_details" name="bank_details" class="form-control col-9" placeholder="Bank Details"></textarea>
            </div>
        </div>
        <div class="col-6">
            <div class="row mb-3">
                <label class="form-label col-5" for="financialyearstart">Financial Year Start</label>
                <input type="date" id="financialyearstart" name="financialyearstart" class="form-control col-7" placeholder="Date" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-5" for="financialyearend">Financial End Year</label>
                <input type="date" id="financialyearend" name="financialyearend" class="form-control col-7" placeholder="Date" autofocus />
            </div>
            <hr>
            <div class="row mb-3">
                <label class="form-label col-5" for="gstuin">GSTIN/UIN</label>
                <input type="text" id="gstuin" name="gstuin" class="form-control col-7" placeholder="GSTIN/UIN" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-5" for="fssai_code">FSSAI</label>
                <input type="text" id="fssai_code" name="fssai_code" class="form-control col-7" placeholder="FSSAI" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-5" for="printing_address">Print Address</label>
                <textarea id="printing_address" name="printing_address" class="form-control col-7" placeholder="Print Address"></textarea>
            </div>
            <div class="row mb-3">
                <label class="form-label col-5" for="print_subHead">Print Sub Head</label>
                <input type="text" id="print_subHead" name="print_subHead" class="form-control col-7" placeholder="Print Sub Head" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-5" for="print_footerText">Print Footer Text</label>
                <input type="text" id="print_footerText" name="print_footerText" class="form-control col-7" placeholder="Print Footer Text" autofocus />
            </div>
            <div class="row mb-3">
                <label class="form-label col-5" for="print_footerSubText">Print Footer Sub Text</label>
                <input type="text" id="print_footerSubText" name="print_footerSubText" class="form-control col-7" placeholder="Print Footer Sub Text" autofocus />
            </div>
        </div>
    </div>
    
    <div class="col-12 text-center demo-vertical-spacing">
        <button type="submit" class="btn btn-primary me-sm-3 me-1">Create</button>
        @if($type == 'modal')
            <button type="reset" class="btn btn-secondary" data-bs-dismiss="modal" aria-label="Close">Discard</button>
        @endif
    </div>
</form>